---
url: >-
  https://game-engine-io.github.io/enginex-frontend-sdk/reference/api/@getenginex/sdk/interfaces/SupportConfig.md
---
[Reference](../../../index.md) / [@getenginex/sdk](../index.md) / SupportConfig

# SupportConfig

Support widget (`GET /support/config`).

## Properties

### apiKey?

> `optional` **apiKey?**: `string`

Public key of the widget.

***

### appId?

> `optional` **appId?**: `string`

App id (Intercom).

***

### domain?

> `optional` **domain?**: `string`

Domain (Freshdesk).

***

### enabled

> **enabled**: `boolean`

Widget turned on.

***

### provider?

> `optional` **provider?**: `string`

Provider.

***

### supportType?

> `optional` **supportType?**: `string`

Type, e.g. `zendesk`, `intercom`.

***

### widgetId?

> `optional` **widgetId?**: `string`

Widget id (Freshdesk).

***

### widgetUrl?

> `optional` **widgetUrl?**: `string`

Widget URL.
